Bug 1925733 - python-autobahn-23.1.1 is available
Summary: python-autobahn-23.1.1 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-autobahn
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1909406 1927044
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-06 01:57 UTC by Upstream Release Monitoring
Modified: 2023-01-17 12:03 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-01-17 12:03:17 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
[patch] Update to 21.1.1 (#1925733) (1.13 KB, patch)
2021-02-06 01:57 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 21.2.1 (#1925733) (1.05 KB, patch)
2021-02-11 13:58 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 21.2.2 (#1925733) (1.05 KB, patch)
2021-02-26 02:34 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 21.3.1 (#1925733) (1.11 KB, patch)
2021-03-02 16:29 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 21.11.1 (#1925733) (1.13 KB, patch)
2021-11-21 10:05 UTC, Upstream Release Monitoring
no flags Details | Diff
Update to 22.2.1 (#1925733) (1.13 KB, patch)
2022-02-23 16:36 UTC, Upstream Release Monitoring
no flags Details | Diff
Update to 22.2.2 (#1925733) (1.13 KB, patch)
2022-02-24 01:14 UTC, Upstream Release Monitoring
no flags Details | Diff
Update to 22.3.1 (#1925733) (1.13 KB, patch)
2022-03-26 21:49 UTC, Upstream Release Monitoring
no flags Details | Diff
Update to 22.3.2 (#1925733) (1.13 KB, patch)
2022-03-27 18:18 UTC, Upstream Release Monitoring
no flags Details | Diff
Update to 22.4.1 (#1925733) (1.13 KB, patch)
2022-05-04 11:17 UTC, Upstream Release Monitoring
no flags Details | Diff
Update to 22.4.2 (#1925733) (1.13 KB, patch)
2022-05-04 15:29 UTC, Upstream Release Monitoring
no flags Details | Diff
Update to 22.5.1 (#1925733) (1.13 KB, patch)
2022-06-02 16:52 UTC, Upstream Release Monitoring
no flags Details | Diff
Update to 22.6.1 (#1925733) (1.07 KB, patch)
2022-07-05 12:49 UTC, Upstream Release Monitoring
no flags Details | Diff
Update to 22.7.1 (#1925733) (1.13 KB, patch)
2022-08-02 17:07 UTC, Upstream Release Monitoring
no flags Details | Diff
Update to 22.12.1 (#1925733) (1.13 KB, patch)
2022-12-18 20:51 UTC, Upstream Release Monitoring
no flags Details | Diff
Update to 23.1.1 (#1925733) (1.01 KB, patch)
2023-01-15 22:32 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2021-02-06 01:57:19 UTC
Latest upstream release: 21.1.1
Current version/release in rawhide: 20.12.3-2.fc34
URL: http://autobahn.ws/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/7015/

Comment 1 Upstream Release Monitoring 2021-02-06 01:57:24 UTC
Created attachment 1755315 [details]
[patch] Update to 21.1.1 (#1925733)

Comment 2 Upstream Release Monitoring 2021-02-06 02:00:32 UTC
the-new-hotness/release-monitoring.org's scratch build of python-autobahn-21.1.1-1.fc32.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=61429707

Comment 3 Upstream Release Monitoring 2021-02-11 13:58:01 UTC
Latest upstream release: 21.2.1
Current version/release in rawhide: 21.1.1-1.fc34
URL: http://autobahn.ws/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/7015/

Comment 4 Upstream Release Monitoring 2021-02-11 13:58:05 UTC
Created attachment 1756370 [details]
[patch] Update to 21.2.1 (#1925733)

Comment 5 Upstream Release Monitoring 2021-02-11 14:01:27 UTC
the-new-hotness/release-monitoring.org's scratch build of python-autobahn-21.2.1-1.fc32.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=61756567

Comment 6 Upstream Release Monitoring 2021-02-26 02:34:26 UTC
Latest upstream release: 21.2.2
Current version/release in rawhide: 21.2.1-1.fc35
URL: http://autobahn.ws/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/7015/

Comment 7 Upstream Release Monitoring 2021-02-26 02:34:34 UTC
Created attachment 1759406 [details]
[patch] Update to 21.2.2 (#1925733)

Comment 8 Upstream Release Monitoring 2021-02-26 02:38:08 UTC
the-new-hotness/release-monitoring.org's scratch build of python-autobahn-21.2.2-1.fc32.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=62707457

Comment 9 Orion Poplawski 2021-02-26 14:34:10 UTC
This 21.2.2 has broken deps in rawhide:

Problem: conflicting requests
- nothing provides python3.9dist(cryptography) >= 3.4.6 needed by python3-autobahn-21.2.2-1.fc35.noarch
- nothing provides python3.9dist(txaio) >= 21.2.1 needed by python3-autobahn-21.2.2-1.fc35.noarch

Comment 10 Mamoru TASAKA 2021-02-28 09:52:53 UTC
(In reply to Orion Poplawski from comment #9)
> This 21.2.2 has broken deps in rawhide:
> 
> Problem: conflicting requests
> - nothing provides python3.9dist(cryptography) >= 3.4.6 needed by
> python3-autobahn-21.2.2-1.fc35.noarch
> - nothing provides python3.9dist(txaio) >= 21.2.1 needed by
> python3-autobahn-21.2.2-1.fc35.noarch

This currently affects Fedora-Comp_Neuro-Live-Rawhide-20210228.n.0 livespin breakaga
https://koji.fedoraproject.org/koji/taskinfo?taskID=62818646

Comment 11 Fabian Affolter 2021-03-01 11:45:39 UTC
cryptography is outdated -> https://bugzilla.redhat.com/show_bug.cgi?id=1927044

Update of autobahn was needed because of CVE-2020-35678

Comment 12 Mamoru TASAKA 2021-03-01 12:59:44 UTC
(In reply to Fabian Affolter from comment #11)
> cryptography is outdated ->
> https://bugzilla.redhat.com/show_bug.cgi?id=1927044
> 
> Update of autobahn was needed because of CVE-2020-35678

For CVE issue, I suggest what is *exactly* needed to resolve the issue beforehand, not upgrading version if possible:
https://github.com/crossbario/autobahn-python/pull/1439

Comment 13 Mamoru TASAKA 2021-03-01 13:02:12 UTC
.. I meant I suggest investigating what is exactly needed to resolve the issue beforehand, before upgrading version.

Comment 14 Fabian Affolter 2021-03-01 13:27:10 UTC
In the meantime did I patch python-autobahn to allow other cryptography releases. I highly doubt that I will get answer regarding the cryptography update as it's two weeks now.

I'm following the Fedora Update Guidelines when ever possible. As far as I remember do the guidelines not prevent me from updating a packages in Rawhide. There would have been no issues if txaio and cryptography were updated as they should have been in the first place. But it's not an ideal world.

Comment 15 Christian Heimes 2021-03-01 14:03:01 UTC
Hi,

I don't plan to update cryptography to 3.4.6. 3.4.5 contains latest bug fixes. 3.4.6 is only a binary update with latest OpenSSL release. Since Fedora does not use binary wheels, it does not make sense to update to 3.4.6.

Comment 16 Mamoru TASAKA 2021-03-01 14:28:31 UTC
(In reply to Fabian Affolter from comment #14)
> I'm following the Fedora Update Guidelines when ever possible. As far as I
> remember do the guidelines not prevent me from updating a packages in
> Rawhide. 

Of course, provided if you don't break package. 
For now, reassigning.

Comment 17 Miro Hrončok 2021-03-01 16:46:23 UTC
> I'm following the Fedora Update Guidelines when ever possible. As far as I remember do the guidelines not prevent me from updating a packages in Rawhide.

There are guidelines that prevent you from updating packages to introduce broken dependency. Namely https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_automatically_generated_dependencies says:

"""The packager MUST inspect the generated requires for correctness. All dependencies MUST be resolvable within the targeted Fedora version."""

And https://docs.fedoraproject.org/en-US/packaging-guidelines/#_package_dependencies says:

"""All package dependencies (build-time or runtime, regular, weak or otherwise) MUST ALWAYS be satisfiable within the official Fedora repositories."""



Please, before you build updates, check if the package installs. If it is blocked by another update, query the status of that update prior to pushing and building the package with broken dependencies. Pushing updates that don't install **does not** fix a security issue, because users cannot install them.



I can help you setup a CI that figures the installability for you automatically if you use pull requests. If using pull requests to packages you (co)maintain would be too complicated, please build the package locally or as Koji scratchbuild and try to install it before pushing the update. Thanks.

Comment 18 Upstream Release Monitoring 2021-03-02 15:12:15 UTC
Latest upstream release: 21.3.1.dev1
Current version/release in rawhide: 21.2.2-2.fc35
URL: http://autobahn.ws/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/7015/

Comment 19 Upstream Release Monitoring 2021-03-02 15:12:19 UTC
An HTTP error occurred downloading the package's new Source URLs: Getting https://github.com/crossbario/autobahn-python/archive/v21.3.1.dev1/autobahn-21.3.1.dev1.tar.gz to ./autobahn-21.3.1.dev1.tar.gz

Comment 20 Upstream Release Monitoring 2021-03-02 16:29:20 UTC
Latest upstream release: 21.3.1
Current version/release in rawhide: 21.2.2-2.fc35
URL: http://autobahn.ws/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/7015/

Comment 21 Upstream Release Monitoring 2021-03-02 16:29:35 UTC
Created attachment 1760260 [details]
[patch] Update to 21.3.1 (#1925733)

Comment 22 Upstream Release Monitoring 2021-03-02 16:36:30 UTC
the-new-hotness/release-monitoring.org's scratch build of python-autobahn-21.3.1-1.fc32.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=62946303

Comment 23 Fabian Affolter 2021-03-02 21:19:48 UTC
(In reply to Miro Hrončok from comment #17)
> > I'm following the Fedora Update Guidelines when ever possible. As far as I remember do the guidelines not prevent me from updating a packages in Rawhide.
> 
> There are guidelines that prevent you from updating packages to introduce
> broken dependency. Namely
> https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/
> #_automatically_generated_dependencies says:
> 
> """The packager MUST inspect the generated requires for correctness. All
> dependencies MUST be resolvable within the targeted Fedora version."""
> 
> And
> https://docs.fedoraproject.org/en-US/packaging-guidelines/
> #_package_dependencies says:
> 
> """All package dependencies (build-time or runtime, regular, weak or
> otherwise) MUST ALWAYS be satisfiable within the official Fedora
> repositories."""

Thanks on the free lecturing. I will return the favor:

 -> Rawhide is the name given to the current development version of Fedora. (https://fedoraproject.org/wiki/Releases/Rawhide)

My guess is that I'm simply no seeing "stable", "ready-for-production" or "everything-works" here...

 -> Software components included in Fedora need to be maintained actively, and bugs - especially security issues - need to be fixed in a timely manner.

I will simple let this stand: "maintained actively"

We can now talk about the precedence a day long...


> Please, before you build updates, check if the package installs. If it is
> blocked by another update, query the status of that update prior to pushing
> and building the package with broken dependencies. Pushing updates that
> don't install **does not** fix a security issue, because users cannot
> install them.

I highly doubt that a Rawhide user will not be able to work-around those kind of issue. If not then it's likely not the system that person should use.

> I can help you setup a CI that figures the installability for you
> automatically if you use pull requests. If using pull requests to packages
> you (co)maintain would be too complicated, please build the package locally
> or as Koji scratchbuild and try to install it before pushing the update.
> Thanks.

How should a scratch build help to determine the "installability"? They don't...this scratch build (https://koji.fedoraproject.org/koji/taskinfo?taskID=62959118) will not be installable but passes. Same for mockbuild. 

Talking about "setting up a CI" is very nice if you have a cost center and 8 h per day to do it. Doing PRs, let the CI pass, iterate...I'm all for it. Äh, no thanks. I'm still waiting for Pagure and src.fpo to get a massive performance improvements. Did I forgot to mention the build process itself?

If I ship updates that breaks something...so be it. In an ideal world I would have infinite time to test every single update for its functionality, of course on all releases. Till then, I have to take the most time efficient route. I guess that you can tell me more about my "FTI-vs.-shipped updates" rate.

Let's face the facts or change the point of view: The installation is broken because others didn't do their jobs in the first place. I know who checks the Bugzilla notifications.

You made it already clear that you don't like my workflow because it doesn't play nice with yours or your idea how others should do things.

Comment 24 Fabian Affolter 2021-03-02 21:32:53 UTC
(In reply to Christian Heimes from comment #15)
> Hi,
> 
> I don't plan to update cryptography to 3.4.6. 3.4.5 contains latest bug
> fixes. 3.4.6 is only a binary update with latest OpenSSL release. Since
> Fedora does not use binary wheels, it does not make sense to update to 3.4.6.

3.4.6 is a new release and not shipping it is the root cause of autobahn's FTI. I guess that the dependency generator did got that memo ;-)

I've already patched cryptography version restraining away.

Comment 25 Miro Hrončok 2021-03-02 23:57:26 UTC
> How should a scratch build help to determine the "installability"?

By checking if the built package installs e.g. in mock.


> Let's face the facts or change the point of view: The installation is broken because others didn't do their jobs in the first place

No, the installation is broken because the package was updated without checking if it installs. Please, don't blame others for this.


> You made it already clear that you don't like my workflow because it doesn't play nice with yours or your idea how others should do things.

Yes, I've repeatedly made it clear that your workflow is not very considerate to other Fedora contributors. I've tried to explain things, give reasons, but clearly your point of view is "this is rawhide and I am free to break it", so I don't know what more can I do. I am very much grateful for all your packaging work, but please, could you be a little bit more careful with your changes and drop the "whatever, it's your job to update all the packages ASAP" attitude? I've always considered you my friend and I don't understand why you are so hostile here.

Comment 26 Upstream Release Monitoring 2021-11-21 10:05:07 UTC
Latest upstream release: 21.11.1
Current version/release in rawhide: 21.2.2-4.fc35
URL: http://autobahn.ws/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/7015/

Comment 27 Upstream Release Monitoring 2021-11-21 10:05:10 UTC
Created attachment 1842862 [details]
[patch] Update to 21.11.1 (#1925733)

Comment 28 Upstream Release Monitoring 2021-11-21 10:08:08 UTC
the-new-hotness/release-monitoring.org's scratch build of python-autobahn-21.11.1-1.fc34.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=79122159

Comment 29 Upstream Release Monitoring 2022-01-28 22:00:42 UTC
Latest upstream release: 22.1.1
Current version/release in rawhide: 21.2.2-5.fc36
URL: http://autobahn.ws/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/7015/

Comment 30 Upstream Release Monitoring 2022-01-28 22:00:46 UTC
Scratch build failed. Details bellow:

GenericError: File upload failed: cli-build/1643407245.5829983.JMAVSenW/python-autobahn-22.1.1-1.fc34.src.rpm
Traceback:
  File "/usr/local/lib/python3.9/site-packages/hotness/use_cases/package_scratch_build_use_case.py", line 56, in build
    result = self.builder.build(request.package, request.opts)
  File "/usr/local/lib/python3.9/site-packages/hotness/builders/koji.py", line 198, in build
    output["build_id"] = self._scratch_build(session, package.name, srpm)
  File "/usr/local/lib/python3.9/site-packages/hotness/builders/koji.py", line 451, in _scratch_build
    session.uploadWrapper(source, serverdir)
  File "/usr/lib/python3.9/site-packages/koji/__init__.py", line 3000, in uploadWrapper
    self.fastUpload(localfile, path, name, callback, blocksize, overwrite, volume=volume)
  File "/usr/lib/python3.9/site-packages/koji/__init__.py", line 2935, in fastUpload
    raise GenericError("File upload failed: %s/%s" % (path, name))

If you think this issue is caused by some bug in the-new-hotness, please report it on the-new-hotness issue tracker: https://github.com/fedora-infra/the-new-hotness/issues

Comment 31 Upstream Release Monitoring 2022-02-23 16:36:39 UTC
Latest upstream release: 22.2.1
Current version/release in rawhide: 21.2.2-5.fc36
URL: http://autobahn.ws/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/7015/

Comment 32 Upstream Release Monitoring 2022-02-23 16:36:44 UTC
Created attachment 1863036 [details]
Update to 22.2.1 (#1925733)

Comment 33 Upstream Release Monitoring 2022-02-23 16:42:20 UTC
the-new-hotness/release-monitoring.org's scratch build of python-autobahn-22.2.1-1.fc34.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=83231657

Comment 34 Upstream Release Monitoring 2022-02-24 01:14:41 UTC
Latest upstream release: 22.2.2
Current version/release in rawhide: 21.2.2-5.fc36
URL: http://autobahn.ws/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/7015/

Comment 35 Upstream Release Monitoring 2022-02-24 01:14:46 UTC
Created attachment 1863100 [details]
Update to 22.2.2 (#1925733)

Comment 36 Upstream Release Monitoring 2022-02-24 01:18:19 UTC
the-new-hotness/release-monitoring.org's scratch build of python-autobahn-22.2.2-1.fc34.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=83248753

Comment 37 Upstream Release Monitoring 2022-03-26 21:48:55 UTC
Latest upstream release: 22.3.1
Current version/release in rawhide: 21.2.2-5.fc36
URL: http://autobahn.ws/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/7015/

Comment 38 Upstream Release Monitoring 2022-03-26 21:49:00 UTC
Created attachment 1868495 [details]
Update to 22.3.1 (#1925733)

Comment 39 Upstream Release Monitoring 2022-03-26 21:53:10 UTC
the-new-hotness/release-monitoring.org's scratch build of python-autobahn-22.3.1-1.fc34.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=84760390

Comment 40 Upstream Release Monitoring 2022-03-27 18:18:20 UTC
Latest upstream release: 22.3.2
Current version/release in rawhide: 21.2.2-5.fc36
URL: http://autobahn.ws/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/7015/

Comment 41 Upstream Release Monitoring 2022-03-27 18:18:25 UTC
Created attachment 1868549 [details]
Update to 22.3.2 (#1925733)

Comment 42 Upstream Release Monitoring 2022-03-27 18:22:51 UTC
the-new-hotness/release-monitoring.org's scratch build of python-autobahn-22.3.2-1.fc34.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=84800236

Comment 43 Upstream Release Monitoring 2022-05-04 11:17:33 UTC
Latest upstream release: 22.4.1
Current version/release in rawhide: 21.2.2-5.fc36
URL: http://autobahn.ws/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/7015/

Comment 44 Upstream Release Monitoring 2022-05-04 11:17:38 UTC
Created attachment 1876995 [details]
Update to 22.4.1 (#1925733)

Comment 45 Upstream Release Monitoring 2022-05-04 11:22:25 UTC
the-new-hotness/release-monitoring.org's scratch build of python-autobahn-22.4.1-1.fc34.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=86635025

Comment 46 Upstream Release Monitoring 2022-05-04 15:29:11 UTC
Latest upstream release: 22.4.2
Current version/release in rawhide: 21.2.2-5.fc36
URL: http://autobahn.ws/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/7015/

Comment 47 Upstream Release Monitoring 2022-05-04 15:29:16 UTC
Created attachment 1877078 [details]
Update to 22.4.2 (#1925733)

Comment 48 Upstream Release Monitoring 2022-05-04 15:34:16 UTC
the-new-hotness/release-monitoring.org's scratch build of python-autobahn-22.4.2-1.fc34.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=86643823

Comment 49 Upstream Release Monitoring 2022-06-02 16:52:16 UTC
Releases retrieved: 22.5.1
Upstream release that is considered latest: 22.5.1
Current version/release in rawhide: 21.2.2-5.fc36
URL: http://autobahn.ws/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/7015/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/python-autobahn

Comment 50 Upstream Release Monitoring 2022-06-02 16:52:20 UTC
Created attachment 1886137 [details]
Update to 22.5.1 (#1925733)

Comment 51 Upstream Release Monitoring 2022-06-02 16:55:27 UTC
the-new-hotness/release-monitoring.org's scratch build of python-autobahn-22.5.1-1.fc36.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=87815544

Comment 52 Upstream Release Monitoring 2022-07-05 12:49:26 UTC
Releases retrieved: 22.6.1
Upstream release that is considered latest: 22.6.1
Current version/release in rawhide: 21.2.2-6.fc37
URL: http://autobahn.ws/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/7015/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/python-autobahn

Comment 53 Upstream Release Monitoring 2022-07-05 12:49:31 UTC
Created attachment 1894679 [details]
Update to 22.6.1 (#1925733)

Comment 54 Upstream Release Monitoring 2022-07-05 12:53:49 UTC
the-new-hotness/release-monitoring.org's scratch build of python-autobahn-22.6.1-1.fc36.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=89114203

Comment 55 Upstream Release Monitoring 2022-08-02 17:07:31 UTC
Releases retrieved: 22.7.1
Upstream release that is considered latest: 22.7.1
Current version/release in rawhide: 21.2.2-7.fc37
URL: http://autobahn.ws/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/7015/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/python-autobahn

Comment 56 Upstream Release Monitoring 2022-08-02 17:07:36 UTC
Created attachment 1902951 [details]
Update to 22.7.1 (#1925733)

Comment 57 Upstream Release Monitoring 2022-08-02 17:12:55 UTC
the-new-hotness/release-monitoring.org's scratch build of python-autobahn-22.7.1-1.fc36.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=90404625

Comment 58 Upstream Release Monitoring 2022-12-18 20:51:06 UTC
Releases retrieved: 22.12.1
Upstream release that is considered latest: 22.12.1
Current version/release in rawhide: 21.2.2-7.fc37
URL: http://autobahn.ws/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/7015/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/python-autobahn

Comment 59 Upstream Release Monitoring 2022-12-18 20:51:12 UTC
Created attachment 1933467 [details]
Update to 22.12.1 (#1925733)

Comment 60 Upstream Release Monitoring 2022-12-18 20:55:38 UTC
the-new-hotness/release-monitoring.org's scratch build of python-autobahn-22.12.1-1.fc36.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=95511779

Comment 61 Upstream Release Monitoring 2023-01-15 22:32:24 UTC
Releases retrieved: 23.1.1
Upstream release that is considered latest: 23.1.1
Current version/release in rawhide: 22.12.1-1.fc38
URL: http://autobahn.ws/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/7015/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/python-autobahn

Comment 62 Upstream Release Monitoring 2023-01-15 22:32:30 UTC
Created attachment 1938264 [details]
Update to 23.1.1 (#1925733)

Comment 63 Upstream Release Monitoring 2023-01-15 22:38:27 UTC
the-new-hotness/release-monitoring.org's scratch build of python-autobahn-23.1.1-1.fc36.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=96179716

Comment 64 Julien Enselme 2023-01-17 12:03:17 UTC
Done in rawhide: https://bodhi.fedoraproject.org/updates/FEDORA-2023-97ce9ea3cf


Note You need to log in before you can comment on or make changes to this bug.